Enable a profile
curl --request POST \
--url https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable \
--header 'Authorization: Bearer <token>'import requests
url = "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "7c1d4b2e-5a8f-4e3b-9d61-2f0a8c4e9b17",
"company_id": 1634,
"name": "Acme on The Trade Desk",
"description": "Audiences Acme sends to its Trade Desk seat",
"status": "enabled",
"profile": {
"brand_id": "acme",
"sub_provider_id": "acme-auto",
"company_name": "Acme Inc"
}
}{
"error": "invalid_request",
"error_description": "Narrative API bad request during GET /installations/whoami"
}{
"error": "forbidden",
"error_description": "Narrative API authentication error during GET /company-info/whoami"
}{}{}{
"error": "upstream_error",
"error_description": "Narrative API server error (503) during GET /installations/whoami"
}profiles
Enable a profile
POST
/
profiles
/
{id}
/
enable
Enable a profile
curl --request POST \
--url https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable \
--header 'Authorization: Bearer <token>'import requests
url = "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://thetradedesk.narrativeconnectors.com/profiles/{id}/enable")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "7c1d4b2e-5a8f-4e3b-9d61-2f0a8c4e9b17",
"company_id": 1634,
"name": "Acme on The Trade Desk",
"description": "Audiences Acme sends to its Trade Desk seat",
"status": "enabled",
"profile": {
"brand_id": "acme",
"sub_provider_id": "acme-auto",
"company_name": "Acme Inc"
}
}{
"error": "invalid_request",
"error_description": "Narrative API bad request during GET /installations/whoami"
}{
"error": "forbidden",
"error_description": "Narrative API authentication error during GET /company-info/whoami"
}{}{}{
"error": "upstream_error",
"error_description": "Narrative API server error (503) during GET /installations/whoami"
}Path Parameters
Profile Id must be in UUID format.

